# User Reports

## Insert user results

<mark style="color:green;">`POST`</mark> `https://api-v2.acrcloud.com/api/bm-cs-projects/:pid/streams/:stream_id/user-reports`

This endpoint allows you to insert the results just like in Timemap or UCF.

#### Path Parameters

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| pid        | number | The project id |
| stream\_id | string | The stream id  |

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Accept        | string | application/json |
| Authorization | string | Bearer token     |
| Content-Type  | string | application/json |

#### Request Body

| Name                    | Type   | Description                                                                                                                        |
| ----------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
| data                    | array  | Result list (\[result1, result2, result3...])                                                                                      |
| result.from             | string | api                                                                                                                                |
| result.title            | string | The title of the result                                                                                                            |
| result.timeoffset       | string | UTC time offsets (For example, UK time is UTC + 00:00, the timeoffset is 0; Hong Kong time is UTC + 08:00, the timeoffset is -480) |
| reuslt.start\_timestamp | string | YYYY-mm-dd HH:MM:SS (For example, 2021-02-01 12:13:14), it is your Local Time.                                                     |
| result.end\_timestamp   | string | YYYY-mm-dd HH:MM:SS (For example, 2021-02-01 12:15:26), it is your Local Time.                                                     |
| result.user\_defined    | string | Other fields of the result (For example, {"artists": "xxx", "album": "xxx", "isrc": "xxx"})                                        |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "id": 984590,
    "result": {
      "start_timestamp_utc": "2021-05-25 03:55:49",
      "end_timestamp_utc": "2021-05-25 03:56:37",
      "record_timestamp": "",
      "title": "xxx",
      "artists": "xxx",
      "album": "xxx",
      "acrid": "null",
      "duration": 48,
      "played_duration": 48,
      "monitor_type": "",
      "result_type": "custom",
      "from": "api-report",
      "raw_metadata": {
        "title": "xxx",
        "artist": "xxx",
        "album": "xxx"
      },
      "start_timestamp_local": "2021-05-25 11:55:49",
      "end_timestamp_local": "2021-05-25 11:56:37"
    }
  }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="First Tab" %}

```bash
curl --location --request POST 'https://api-v2.acrcloud.com/api/bm-cs-projects/17913/stream_id/s-XXXXXX/user-reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your token}'
--header 'Content-Type: application/json' \
--data-raw '{"data":[{"from": "api", "title": "xxxx", "timeoffset": 0, "start_timestamp": "2021-02-01 12:13:14", "end_timestamp": "2021-02-01 12:15:26", "user_defined": {"artists": "xxx", "album": "xxx"}}]}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/reference/console-api/bm-projects/custom-streams-projects/user-reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
